%define name perl-XML-Parser
%define module XML-Parser
%define version 2.30
%define release 7

Summary: 	A perl module for parsing XML documents
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		System Environment/Libraries
Source: 	http://www.cpan.org/authors/id/C/CO/COOPERCL/%{module}-%{version}.tar.bz2
Url: 		http://www.cpan.org
BuildRoot: 	%{_tmppath}/%{name}-buildroot/
Prefix:		%{_prefix}
Requires: 	perl >= 5.6.0, expat >= 1.95.1
BuildRequires: 	expat >= 1.95.1 ,expat-devel >= 1.95.1

%description
A perl module for parsing XML documents

Needed by eGrail

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{prefix}
make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{prefix}
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=$RPM_BUILD_ROOT%{prefix} INSTALLMAN1DIR=$RPM_BUILD_ROOT%{_mandir}/man1

%files
%defattr(-,root,root)
%doc README Changes
%{_mandir}/*/*
%{_prefix}/lib/perl5/site_perl/*/*/XML/*.pm
%dir %{_prefix}/lib/perl5/site_perl/*/*/XML/Parser
%{_prefix}/lib/perl5/site_perl/*/*/XML/Parser/*.p*
%{_prefix}/lib/perl5/site_perl/*/*/XML/Parser/Encodings/*
%{_prefix}/lib/perl5/site_perl/*/*/auto/XML/Parser/Expat/*


%changelog
* Sat Jul 20 2001 Crutcher Dunnavant <crutcher@redhat.com> 2.30-6
- fix .so file list

* Thu Jul 18 2001 Crutcher Dunnavant <crutcher@redhat.com> 2.30-4
- imported from mandrake. tweaked man path.

* Thu Jun 21 2001 Christian Belisle <cbelisle@mandrakesoft.com> 2.30-3mdk
- Fixed distribution tag.
- Put the right directories.
- Description and Summary more explicit

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.30-2mdk
- Rebuild for the latest perl.
- Remove the Distribution and Vendor Tag.

* Mon Feb 19 2001  Daouda Lo <daouda@mandrakesoft.com> 2.30-1mdk
- release 
- use of extern expat module (thanx mad hansen )

* Sat Sep 16 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 2.29-2mdk
- Call spec-helper before creating filelist

* Wed Aug 09 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.29-1mdk
- Macroize package
